package com.mortals.xhx.common.code;

import com.mortals.framework.ap.SysConstains;
import com.mortals.framework.common.IBaseEnum;

import java.util.LinkedHashMap;
import java.util.Map;

public enum ValidCodeType implements IBaseEnum{
    IMAGE(0, "图片校验", SysConstains.STYLE_DEFAULT),
    MOBILE(1, "手机校验", SysConstains.STYLE_DEFAULT),
    EMAIL(2, "邮箱校验", SysConstains.STYLE_DEFAULT);
    
    private int value;
    private String desc;
    private String style;

    ValidCodeType(int value, String desc, String style) {
        this.value = value;
        this.desc = desc;
        this.style = style;
    }

    @Override
    public int getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

    public String getStyle()
	{
		return style;
	}

	public static ValidCodeType getByValue(int value) {
        for (ValidCodeType validCodeType : ValidCodeType.values()) {
            if (validCodeType.getValue() == value) {
                return validCodeType;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(int... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (ValidCodeType item : ValidCodeType.values()) {
			try{
				boolean hasE = false;
				for (int e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}
}
